package gui;

import javax.swing.JOptionPane;

public class ErrorPanel extends JOptionPane {

  static final long serialVersionUID = 20050112L;

  private boolean userDecision = false;
  private ErrorPanel() {}

  public void showError() {
    Object[] options = { "Continue", "Exit" };
    switch(JOptionPane.showOptionDialog(null, "EZJcom not detected.  Continue with possible errors?", "EZJcom not detected",
      JOptionPane.DEFAULT_OPTION, JOptionPane.WARNING_MESSAGE,
      null, options, options[0])) {

      case JOptionPane.CLOSED_OPTION:
      case 1:
        System.exit(0);
        break;
      case 0:
        userDecision = true;
    }
  }

  public boolean getUserDecision() {
    return userDecision;
  }
}

//  LocalWords:  EZJcom
